# Getting Started

This guide walks you through integrating Metasearch Pricing into your application. You'll learn how to query real-time hotel pricing from multiple OTAs and direct channels in a single API call.

BETA

Hotel Universe is a product in BETA stage of the life cycle which means that changes are expected to the API schema, documentation and functionality of the entire product. We aim not to have any breaking changes.

# Prerequisites

  • Active Hotel Universe account
  • A Paid subscription plan
  • API Bearer token with Metasearch Pricing permissions. See Authentication guide for setup instructions.

# Base URL

All API requests use: https://api.hotel-universe.travel

# Quick Start: Your First Metasearch Call

Get real-time pricing for a hotel using its Hotel Universe ID:

curl --location 'https://api.hotel-universe.travel/metasearch?hotelId=07b7c69652&checkIn=2025-12-25&nights=2&adults=2&children=0' \
--header 'Authorization: Bearer YOUR_TOKEN' \
--header 'Accept: application/json'

Note: You can also use different types of hotel IDs. Use hotelIdType to specify the type of ID you're providing. Example: ?hotelId=11032482694307223652&hotelIdType=googleHotelId&checkIn=...

# Response

{
  "advertiser": {
    "fullname": "Booking.com",
    "url": "https://www.booking.com/searchresults.en.html",
    "shortname": "Booking",
    "isHotel": false,
    "isSponsored": true
  },
  "pricePerNight": {
    "gross": {
      "text": "£53",
      "value": 52.87742
    }
  },
  "totalPrice": {
    "gross": {
      "text": "£106",
      "value": 105.75484
    }
  },
  "cancellationDate": "Nov 28",
  "rooms": [
    {
      "name": "Twin Room - Smoking",
      "imageUrls": ["https://example.com/image1.jpg"],
      "rates": [
        {
          "description": null,
          "pricePerNight": {
            "gross": {
              "text": "£53",
              "value": 52.87742
            }
          },
          "totalPrice": {
            "gross": {
              "text": "£106",
              "value": 105.75484
            }
          },
          "refundable": true,
          "cancellationUntil": "Nov 28"
        }
      ]
    }
  ]
}

# Next Steps